<?php

/*
Plugin Name: Upload flash video
Description: Adds FLV media types, FLV icon
Plugin URI: http://samm.dreamhosters.com/wordpress/plugins/
Author: Sam
Version: 0
*/

define('UF_PATH_REL', PLUGINDIR.'/'.basename(dirname(__FILE__)));
define('UF_PATH', ABSPATH.UF_PATH_REL);


add_filter('upload_mimes', 'uf_upload_mimes');
// add_filter('wp_mime_type_icon', 'uf_mime_type_icon', 1, 2);

function uf_icon_dir_uri($uri) {
	// var_dump($uri);
	return trailingslashit(get_bloginfo('wpurl')) . constant('UF_PATH_REL');
}

function uf_icon_dir($dir) {
	// var_dump($dir);
	return constant('UF_PATH');
}

function uf_mime_type_icon($icon, $mime) {
	// 'wp_mime_type_icon', $icon, $mime, $post_id
	if ('video/x-flv' == $mime) {
		$icon = get_bloginfo('wpurl') . '/wp-content/plugins/upload-flv/x-flv.png';
		add_filter('icon_dir', 'uf_icon_dir');
		add_filter('icon_dir_uri', 'uf_icon_dir_uri');
	} else {
		remove_filter('icon_dir', 'uf_icon_dir');
		remove_filter('icon_dir_uri', 'uf_icon_dir_uri');
	}
	return $icon;
}

function uf_upload_mimes($types) {
	return array_merge( $types, array(
			'flv' => 'video/x-flv',
			'f4v|f4p' => 'video/mp4',
			'f4a|f4b' => 'audio/mp4',
		)
	);
}

?>